import CodeMirror from "codemirror";
import {defineMode} from "../src/mode";

defineMode(CodeMirror);

const defaultTheme = "pastel-on-dark";

const mirror = CodeMirror.fromTextArea(document.getElementById("code"), {
    mode: "boethius",
    theme: defaultTheme
});

window.mirror = mirror;

const themes = document.getElementById("themes");

themes.value = defaultTheme;

themes.onchange = (e) => {
    mirror.setOption("theme", e.target.value);
}
